<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.czg.service.account.mapper.SysRolesMenusMapper">

    <insert id="saveByTemplate">
        insert into sys_roles_menus (role_id, menu_id, type)
        values
        <foreach item="item" index="index" collection="rolesMenus" separator=",">
            (#{roleId}, #{item.menuId}, #{item.type})
        </foreach>
    </insert>
</mapper>
